本文介绍E-MapReduce版本相关的信息。

  • E-MapReduce的版本会定期升级,类似1.0、1.1、1.2。
  • 每一个版本上捆绑的软件和软件的版本都是固定的。目前还不支持软件的多个不同版本的选择,也不推荐用户自行更改软件的版本。例如我们在1.0中内置的是Hadoop 2.6.0、Spark 1.4.1等。
  • 创建某一个发行版本的E-MapReduce集群后,该集群使用的版本就不会自动升级了。后续即使升级该版本对应的镜像,也不会影响已经创建的集群,但新建集群会使用新的镜像。
  • 当您升级集群版本的时候,例如如从1.0升级到1.1,防止一些升级的不兼容、环境的变化等,请务必测试您的作业,保证在新的软件环境中也能正常的运行。